Bug 469884 - s-c-firewall unnecessary opens inbound samba server ports for samba-client usage
s-c-firewall unnecessary opens inbound samba server ports for samba-client usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:19 EST by Charles R. Anderson
Modified: 2014-06-16 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-11-04 11:19:35 EST
Description of problem:

Enabling the Trusted Service "Samba Client" (--service=samba-client) opens up new inbound connections on ports 137/udp and 138/udp.  This is unnecessary since we have nf_conntrack_netbios_ns and outbound connections will open the corresponding reply traffic through normal state tracking.  Also, if you are running a samba server, enabling "Samba Client" exposes the server as well, which is probably not what the user indented or expected when enabling the "Samba Client" Trusted Service.

Version-Release number of selected component (if applicable):
system-config-firewall-1.2.13-2.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1. System->Administration->Firewall->Trusted Services
2. check Samba Client 137/udp, 138/udp (Helper Modules: nf_conntrack_netbios_ns)
3. Apply.
  
Actual results:

added to /etc/sysconfig/iptables and /etc/sysconfig/ip6tables:

-A INPUT -m state --state NEW -m udp -p udp --dport 137 -j ACCEPT
-A INPUT -m state --state NEW -m udp -p udp --dport 138 -j ACCEPT

added to /etc/sysconfig/iptables-config and /etc/sysconfig/ip6tables-config, respectively:

IPTABLES_MODULES="nf_conntrack_netbios_ns"
IP6TABLES_MODULES="nf_conntrack_netbios_ns"

Expected results:

The iptables-config and ip6tables-config changes are sufficient and should continue to be performed.  The iptables/ip6tables lines for 137/udp and 138/udp should not be added, since they are too permissive and unnecessary given the intent of enabling access for "Samba Client".

If samba client browsing doesn't work without opening 137/udp and 138/udp, then there is a bug in nf_conntrack_netbios_ns which needs to be addressed there rather than exposing the system unnecessarily with a workaround in s-c-firewall.
Comment 1 Bug Zapper 2008-11-25 23:45:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Thomas Woerner 2009-03-17 10:13:02 EDT
Is samba working for you without the two ports?
Comment 3 Thomas Woerner 2009-06-03 08:44:55 EDT
According to the samba maintainer, these two ports are needed in some cases to make samba work as a client. This needs some more investigation, though.

Can you help me with this?
Comment 4 Bug Zapper 2009-11-18 03:45:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:44:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.